/*
 * SPDX-FileCopyrightText: 2022 Dimitris Kardarakos <dimkard@posteo.net>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

import QtQuick 2.12
import QtQuick.Controls 2.12 as Controls
import QtQuick.Layouts 1.12
import org.kde.kirigami 2.12 as Kirigami

Kirigami.OverlaySheet {
    id: root

    title: qsTr("Licences")

    Controls.SwipeView {
        id: swipeView

        height: applicationWindow().height * 0.7
        Layout.preferredWidth: applicationWindow().width * 0.7

        currentIndex: tabBar.currentIndex
        clip: true

        Item {
            Controls.Label {
                width: parent.width
                wrapMode: Text.WordWrap
                text: QAppInfo.aboutData["dataLicences"]["CC-BY-SA-4.0"]
            }
        }

        Item {
            Controls.Label {
                width: parent.width
                wrapMode: Text.WordWrap
                text: QAppInfo.aboutData["dataLicences"]["Unsplash"]
            }
        }
    }

    footer: Controls.TabBar {
        id: tabBar

        position: Controls.TabBar.Footer

        Controls.TabButton {
            text: "CC-BY-NC-SA-4.0"
        }

        Controls.TabButton {
            text: "Unsplash"
        }
    }
}
