/*
 * SPDX-FileCopyrightText: 2021 Dimitris Kardarakos <dimkard@posteo.net>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

import QtQuick 2.12
import QtQuick.Controls 2.12 as Controls
import QtQuick.Layouts 1.12
import org.kde.kirigami 2.12 as Kirigami
import org.codeberg.dimkard.glossaico 1.0 as Glossaico

AbstractChallengePage {
    id: root

    property int selectedAnsweredIndex: -1

    challengeItem: columnLayout
    title: "Which of these is..."

    ColumnLayout {
        id: columnLayout

         anchors {
            top: parent.top
            right: parent.right
            left: parent.left
        }
        spacing: Kirigami.Units.largeSpacing

        Kirigami.Heading {
            text: "Which of these is <b> " + root.challengeData.meaningInSourceLanguage +  "</b> ?"
            wrapMode: Text.WordWrap
            leftPadding: Kirigami.Units.largeSpacing
            bottomPadding: Kirigami.Units.largeSpacing * 2

            Layout.fillWidth: true
        }

        Repeater {
            id: repeater

            model: root.challengeData.options

            delegate: Controls.RadioDelegate {
                text: modelData
                checked: model.index == root.selectedAnsweredIndex

                onToggled: {
                    root.answerGiven = { "answer" : modelData }
                    root.selectedAnsweredIndex = model.index
                }
            }
        }
    }
}
